Bug 118887 - CALC: Read Combo chart that has multiple series of data from XLSX
Summary: CALC: Read Combo chart that has multiple series of data from XLSX
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2018-07-22 18:06 UTC by Jonathan Bach
Modified: 2019-12-10 04:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Combo chart in MSO (84.47 KB, image/jpeg)
2018-07-24 13:13 UTC, Timur
Details
tf04022385.xltx (61.41 KB, application/vnd.ms-excel.template.12)
2018-07-24 17:03 UTC, Timur
Details
tf04022385 without named ranges (60.96 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-07-24 17:12 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bach 2018-07-22 18:06:57 UTC
Description:
Hi, my "test" spreadsheet for compatibility is direct from Microsoft, not new at all, and only WPS Office (Kingsoft) is compatible with it.  It is a great template called "Retirement Financial Planner" and is available at this link from Microsoft:  https://templates.office.com/en-us/Retirement-financial-planner-TM04022385
I recommend you open and enter data in MS Office Excel, then open in Libre … you'll see that the graph just doesn't work.  This is a many YEARS old NON-compatibility problem.

Steps to Reproduce:
1. Open the MS template in MS Office and enter data and see how the graph responds
2. Save, then open in LibreOffice Calc and see how it is useless.
3. Fix LibreOffice Calc and perhaps even solve OTHER similar compatibility issues!


Actual Results:
Graph doesn't respond, spreadsheet doesn't look like it should.  WPS Office (Kingsoft) on the other hand, DOES work and look very much the same.  I would RATHER use LibreOffice though!

Expected Results:
Use of spreadsheet.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Julien Nabet 2018-07-23 14:50:29 UTC
A bugtracker must concerns one specific point, you can't tell: "open this file and fix all the differences you see with MsOffice".

As you may already know, there are quite a lot of bugtrackers for LO and many concern compatibility.

If it was depending only on me, I put this one as INVALID. Now I'll let QA member speak.
Comment 2 Timur 2018-07-24 13:13:11 UTC
Created attachment 143727 [details]
Combo chart in MSO

Bug report is (wrongly but expectedly from 1st time reporter) document-based. Yet it's valid because Calc can't preview Excel's combo chart. 
Lets' turn this to "Read Combo chart from XLSX". LO will first have to support that feature itself. That's somewhat requested in Bug 97834.
Comment 3 Timur 2018-07-24 17:03:36 UTC
Created attachment 143732 [details]
tf04022385.xltx

Let's keep original MSO XLTX here.
Comment 4 Timur 2018-07-24 17:12:56 UTC
Created attachment 143734 [details]
tf04022385 without named ranges

"I cannot open this file" really makes a lot of triage work..
Imported chart looks empty because the file uses named cell ranges and they are not imported in charts (bug 64086) and the reason is they are not supported in LO (bug 6250).
The file also has combo chart that's not read properly from LO. One can see that if we replace named ranges with cell references, as in attached other file. 
Creating combo charts in LO is another issue. This bug is about proper reading of here attached file (without named ranges).
Comment 5 QA Administrators 2019-12-10 04:06:24 UTC
Dear Jonathan Bach,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug